package ru.other.company.card.service.provider;

public final class Constants {

    private Constants() {
    }

    /**
     * Значение по умолчанию длины номера купона нашего плагина.
     */
    public static final int COUPON_NUMBER_LENGTH_DEFAULT = 16;
    /**
     * Значение по умолчанию длины номера карты нашего плагина.
     */
    public static final int CARD_NUMBER_LENGTH_DEFAULT = 12;
    /**
     * Значение по умолчанию префикса распознаваемых плагином номеров как купонов.
     */
    public static final String COUPON_PREFIX_DEFAULT = "812";
    /**
     * Значение по умолчанию префикса распознаваемых плагином номеров как карт.
     */
    public static final String CARD_PREFIX_DEFAULT = "78,79";
    /**
     * Разделитель, который используется в параметрах плагина для разделения префиксов в случае, если плагин понимает несколько префиксов.
     */
    public static final String PREFIX_DELIMITER = ",";
    /**
     * код этого поставщика информации по картам/купонам
     */
    public static final String PLUGIN_NAME = "example.card.provider";
    /**
     * название настройки, что хранит URL для получения информации по карте из процессинга
     */
    public static final String URL = "primary.get.info.url";
    /**
     * название настройки, что хранит таймаут подключения к процессингу
     */
    public static final String CONN_TIMEOUT = "connection.timeout";
    /**
     * название настройки, что хранит время ожидания отклика от процессинга
     */
    public static final String READ_TIMEOUT = "read.timeout";
    /**
     * название настройки, что хранит префиксы номеров дисконтных карт, заведенных в процессинге
     */
    public static final String CARD_NO_PREFIXES = "card.number.prefixes";
    /**
     * название настройки, что хранит длину номеров дисконтных карт, заведенных в процессинге
     */
    public static final String CARD_NO_LENGTH = "card.number.length";
    /**
     * название настройки, что хранит префиксы номеров купонов, заведенных в процессинге
     */
    public static final String COUPON_NO_PREFIXES = "coupon.number.prefixes";
    /**
     * название настройки, что хранит длину номеров купонов, заведенных в процессинге
     */
    public static final String COUPON_NO_LENGTH = "coupon.number.length";

}
