package ru.crystals.test.plugins;

import ru.crystals.pos.api.comm.CommunicationMessage;
import ru.crystals.pos.api.comm.IconType;
import ru.crystals.pos.spi.equipment.CustomerDisplay;
import ru.crystals.pos.spi.equipment.CustomerDisplayMessage;
import ru.crystals.test.plugins.data.CustomerMessage;
import ru.crystals.test.plugins.data.MessageIcon;

import java.time.Duration;
import java.util.List;

public class CustomerMessageRoutine {

    public void displayMessages(CustomerDisplay display, List<CustomerMessage> messages) {
        if(display == null || messages == null) {
            return;
        }
        for(CustomerMessage m : messages) {
            display.append(createMessage(m));
        }
    }

    private CustomerDisplayMessage createMessage(CustomerMessage m) {
        CommunicationMessage cm = new CommunicationMessage(
                createIcon(m.getIcon()),
                m.getHeader(),
                m.getBody(),
                m.getFooter()
        );
        return new CustomerDisplayMessage(cm, Duration.ofSeconds(5));
    }

    private IconType createIcon(MessageIcon icon) {
        if(icon == null) {
            return IconType.NONE;
        }
        switch (icon) {
            case ERROR:
                return IconType.ERROR;
            case GIFT:
                return IconType.GIFT;
            case INFO:
                return IconType.INFO;
            case WARNING:
                return IconType.WARNING;
            case SUCCESS:
                return IconType.SUCCESS;
            default:
                return IconType.NONE;
        }
    }
}
