package ru.crystals.pos.api.ext.loyal.dto;

import ru.crystals.pos.spi.receipt.BonusBalance;

import java.math.BigDecimal;

/**
 * Информация о списании бонусов и фишек
 */
public class WriteOffInfo {
    /**
     * Баланс, с которого предполагается списывание.
     */
    private BonusBalance balance;

    /**
     * Величина списанных бонусов.
     */
    private BigDecimal writeOffAmount;

    public WriteOffInfo() {
    }

    public WriteOffInfo(BonusBalance balance, BigDecimal writeOffAmount) {
        this.balance = balance;
        this.writeOffAmount = writeOffAmount;
    }

    public BonusBalance getBalance() {
        return balance;
    }

    public void setBalance(BonusBalance balance) {
        this.balance = balance;
    }

    public BigDecimal getWriteOffAmount() {
        return writeOffAmount;
    }

    public void setWriteOffAmount(BigDecimal writeOffAmount) {
        this.writeOffAmount = writeOffAmount;
    }

    @Override
    public String toString() {
        return "WriteOffInfo{" +
                "balance=" + balance +
                ", writeOffAmount=" + writeOffAmount +
                '}';
    }
}
