package ru.crystals.pos.spi.equipment;

/**
 * Класс описывающий информацию о банковской карте
 * Может быть {@code null} если не получили информацию о карте.
 * @since 0.0.61
 */
public interface BankCardInfo {

    /**
     * Получить номер карты.
     *
     * @return Номер карты.
     */
    String getCardNumber();

    /**
     * Получить хэш-код карты.
     *
     * @return Хэш-код карты (может быть {@code null} если плагин процессинга не поддерживает эту функцию)
     */
    String getCardNumberHash();
}
