package ru.crystals.pos.spi.plugin.card;

import ru.crystals.pos.api.plugin.card.CardIssueResponse;

/**
 * Интерфейс для оповещения об окончании процесса поиска/выдачи карты.<br>
 * Вызов методов этого интерфейса означает, что процесс поиска завершен и кассе разрешено двигаться дальше по техпроцессу.
 * @since 0.0.65
 */
public interface CardIssueCallback {

    /**
     * Обработчик события о завершении поиска/выдачи карты.
     * @param result результат поиска/выдачи карты.
     */
    void onCardIssueCompleted(CardIssueResponse result);
}
