package ru.crystals.pos.spi.plugin.goods;

import ru.crystals.pos.api.plugin.goods.NewLineItem;

/**
 * Ошибка добавления товара в чек.<br>
 *
 * Возникает, если данные невозможно добавить в чек и сохранить в БД.<br>
 * @see AddForSaleCallback#completed(NewLineItem)
 *
 */
public class InvalidLineItemException extends Exception {

    /**
     * Конструктор класса. Создаёт новый экземпляр класса {@link InvalidLineItemException}.
     */
    public InvalidLineItemException(){
        // the default
    }

    /**
     * Конструктор класса. Создаёт новый экземпляр класса {@link InvalidLineItemException}.
     * @param message текст сообщения об ошибке.
     */
    public InvalidLineItemException(String message){
        super(message);
    }

    /**
     * Конструктор класса. Создаёт новый экземпляр класса {@link InvalidLineItemException}.
     * @param message текст сообщения об ошибке.
     * @param cause внутренняя причина ошибки.
     */
    public InvalidLineItemException(String message, Throwable cause){
        super(message, cause);
    }
}
